Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils.resolver.implementations
Class ResolverFragment

    java.lang.Object
      org.apache.xml.security.utils.resolver.ResourceResolverSpi
          org.apache.xml.security.utils.resolver.implementations.ResolverFragment

    public class ResolverFragment

extends ResourceResolverSpi

This resolver is used for resolving same-document URIs like URI="" of URI="#id".

Author:
  $Author: coheigea $
See Also:
  The Reference processing model in the XML Signature spec, Same-Document URI-References in the XML Signature spec, Section 4.2 of RFC 2396

Field Summary

Fields inherited from class org.apache.xml.security.utils.resolver.ResourceResolverSpi
`properties, secureValidation`

Constructor Summary
`ResolverFragment()`

Method Summary
`boolean` | `engineCanResolveURI(ResourceResolverContext context)` Method engineCanResolve
`boolean` | `engineIsThreadSafe()` Tells if the implementation does can be reused by several threads safely.
`XMLSignatureInput` | `engineResolveURI(ResourceResolverContext context)` Method engineResolve

Methods inherited from class org.apache.xml.security.utils.resolver.ResourceResolverSpi
`engineAddProperies, engineCanResolve, engineGetProperty, engineGetPropertyKeys, engineResolve, engineSetProperty, fixURI, understandsProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolverFragment

    public ResolverFragment()

Method Detail

### engineIsThreadSafe

    public boolean engineIsThreadSafe()

  Description copied from class: `ResourceResolverSpi`
  Tells if the implementation does can be reused by several threads safely. It normally means that the implementation does not have any member, or there is member change between engineCanResolve & engineResolve invocations. Or it maintains all member info in ThreadLocal methods.

  Overrides:
    `engineIsThreadSafe` in class `ResourceResolverSpi`

### engineResolveURI

    public XMLSignatureInput engineResolveURI(ResourceResolverContext context)
                                       throws ResourceResolverException

  Method engineResolve

  Overrides:
    `engineResolveURI` in class `ResourceResolverSpi`
  Parameters:
    `uri` -
    `baseURI` -
  Returns:
    the resource wrapped around a XMLSignatureInput
  Throws:
    `ResourceResolverException`

### engineCanResolveURI

    public boolean engineCanResolveURI(ResourceResolverContext context)

  Method engineCanResolve

  Overrides:
    `engineCanResolveURI` in class `ResourceResolverSpi`
  Parameters:
    `uri` -
    `baseURI` -
  Returns:
    true if the engine can resolve the uri

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD